Changes in versoon 3.1.0 (2026-04-29)
   o Removed reference to http://tools.immunogenomics.org from the DESCRIPTION.
   o Added the Data.Type parameter to the BIGDAWG() function to identify the 'motif' data type.
   o Added Livia Tran as a package author.

Changes in version 3.0.9 (2025-06-25)
   o Fixed "conditon has length >1" error in R v4.2+. Thanks to Ryan Chung for the report.
   o Removed httr from Imports
   o Updated URL to 'HLA Nomenclature Naming Alleles' page at hla.alleles.org
   o Updated email address in vignette

Changes in version 3.0.8 (2023-09-08)
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.53, 2023-07)

Changes in version 3.0.7 (2023-06-22)
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.52.0, 2023-04)
   o Bug fix for certain data tables

Changes in version 3.0.6 (2022-10-17)
   o Adjustment for data table read-ins
   o Name change in an IMGT/HLA file
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.50.0, 2022-10)
   o Calculation adjustment for Odds Ratio Tables. Thanks to Ben Solomon.

Changes in version 3.0.5 (2022-09-12)
   o Bug identified when using EVS.rm = T

Changes in version 3.0.4 (2022-08-13)
   o Bug identified when using R > v4.1
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.49, 2022-07).
   o Adjustment to A test for reporting to file

Changes in version 3.0.3 (2021-11-01)
   o Removed invariant positions from amino analysis output
   o Minor formatting changes to output files
   o Change to CheckRelease based on remote file updates
   o Differentiate invariant AA positions from invalid AA positions for chisq

Changes in version 3.0.2 (2021-10-28)
   o Added export of Exon to parameters file

Changes in version 3.0.1 (2021-10-24)
   o Adjustment to targeted exon specific amino acid analysis alignment filter
   o Added known issues section to BIGDAWG vignette

Changes in version 3.0.0 (2021-10-23)
   o Allows for targeted exon specific amino acid analysis, Exon argument

Changes in version 2.5.4 (2021-10-21)
   o Adjustment to amino acid analysis frequency calculator
   o Few grammatical fixes

Changes in version 2.5.3 (2021-10-20)
   o Adjustment to amino acid analysis frequency calculator
   o Few grammatical fixes

Changes in version 2.5.2 (2021-10-20)
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.46 (2021-10) Build 6c613ce).
   o Removed p-group reduction for amino acid aligment analysis.

Changes in version 2.5.1 (2021-10-19)
   o Check defined Loci.Set against data.
   o Few organizational chances to amino acid analysis. No change to functionality.
   o Few grammatical fixes

Changes in version 2.5 (2021-09-09)
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.45.1, 2021-07-12).
   o Small bug fix in binning algorithm

Changes in version 2.4 (2021-06-04)
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.44.0, 2021-04-20).
   o BIGDAWG now utilizes full length protein sequences (future plan to be exon specific).
   o Small bug fix in binning algorithm

Changes in version 2.3.6 (2021-02-12)
   o Bug in contextual binning algorithm
   o Error messages redirected to Std Err.

Changes in version 2.3.5 (2021-02-09)
   o Release v2.3.5 restricted to internal releases
   o Adjustment to contextual binning algorithm

Changes in version 2.3.4 (2021-02-02)
   o Release v2.3.4 restricted to internal releases
   o Adjustment of contextual binning algorithm
   o Fixed bug introduced in L test freq calculations

Changes in version 2.3.3 (2021-01-27)
   o Release v2.3.3 restricted to internal releases
   o Rework of contextual binning sort and output

Changes in version 2.3.2 (2021-01-25)
   o Release v2.32.2 restricted to internal releases
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.43.0, 2021-01-18).
   o Fixed bug in counting for some tables with NA values.
   o Fixed bug in protein alignment generation.
   o Minor code adjust to CheckRelease() and UpdateRelease() functions.
   o Added contextual binning to chi square function (Strict.Bin argument).

Changes in version 2.3.1 (2020-10-05)
   o Resubmitted for unarchiving from CRAN.

Changes in version 2.3 (2019-10-17)
   o Changes to NEWS format
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.38.0, 2019-10-17).

Changes in version 2.2.1 (2018-09-27)
   o Fixed bug where passed R object exports to parameter file.
   o Small changes to console output.

Changes in version 2.2 (2018-08-01)
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.33.0, 2018-07-11).

Changes in version 2.1.4 (2018-06-22)
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.32.0, 2018-04-16).
   o Small code fix for updating exon alignment to latest release

Changes in version 2.1.3 (2018-02-14)
   o CheckAllele bug when Trim=T and Res=1 or with 1-Field (2-digit) data.

Changes in version 2.1.2 (2018-02-13)
   o Haplotype ChiSq output bug fix when All.Pairwise=T.

Changes in version 2.1.1 (2018-02-09)
   o GLS to table conversion bug fix - GLSconvert(..,type=GL2Tab).

Changes in version 2.1 (2018-02-07)
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.31.0, 2018-01-19).

Changes in version 2.0.2 (2017-12-03)
   o Minor code adjust to CheckRelease() and UpdateRelease() functions.

Changes in version 2.0.1 (2017-11-07)
   o BUG Fix thanks to Rajesh Acharya.
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.30.0, 2017-10-27).
   o Added dependency for httr package.

Changes in version 2.0 (2017-09-15)
   o Code re-structuring.
   o The ability to use Gene List Strings via conversion utility, GLSconvert().
   o Added GLSconvert Vignette.

Changes in version 1.16 (2017-09-05)
   o Submission to CRAN
   o Some code re-structuring.
   o Added parameter check function.
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.29.0.1, 2017-08-18).

Changes in version 1.15.3 (2017-08-07)
   o Now Data argument accepts properly formatted R dataframes (Data=foo).

Changes in version 1.15.2 (2017-08-07)
   o Release v1.15.1 restricted to internal releases.
   o Fixed miscellaneous bugs specific to HLA data processing.
   o Now allows for .1, .2, _1, and _2 in column names.
   o Updates to vignette.

Changes in version 1.15 (2017-08-02)
   o Fixed miscellaneous bugs specific to HLA data processing.
   o Minor adjustments to code for organization and clarity.

Changes in version 1.14.2 (2017-07-18)
   o Fixed bug where allele names with '00' would be eroneously changed.

Changes in version 1.14.1 (2017-07-10)
   o Minor adjustments to code for organization and clarity.
   o Fixed bug where sample IDs were not exporting with subject haplotypes. However, they were reported in the same order as the source data.

Changes in version 1.14 (2017-07-09)
   o Adjusted maximum multi-core allowance to 90% of available processor cores.

Changes in version 1.13 (2017-07-07)
   o Submission to CRAN
   o Minor vignette updates.

Changes in version 1.12 (2017-06-21)
   o Changes in version 1.10 and v1.11 restricted to internal releases.
   o Transferred github repository location to github.com/IgDAWG/BIGDAWG
   o Added multi-core capabilities to haplotype analysis to speed up pairwise analysis. Useful for large datasets.
   o Update to haplotype output files.
   o Analysis results can be merged into single files with Merge.Output=T. Not recommend for very large datasets and running all pairwise combinations in the haplotype analysis.
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.28.0, 2017-04-13)

Changes in version 1.9 (2017-01-20)
   o Added warning that when All.Pairwise=T or the locus or amino acid tests are run with multiple sets, there will be duplication of analyses and results when sets contain overlapping loci.
   o When All.Pairwise=T, only pairwise combinations are run in the haplotype analysis.
   o Changes to output list structure when Return=T.
   o Updated bundled IMGT/HLA amino acid exon alignment to latest release (Release 3.27.0, 2017-01-20)

Changes in version 1.8.4 (2017-01-12)
   o Naming update to haplotype output files. Haplotype loci will no longer be appended to the filename. When All.Pairwise=T, the filename will be appended with "PairwiseSet" and the set number. A file will also be written to indicate which pairwise set corresponds to which haplotypes.

Changes in version 1.8.3 (2016-12-26)
   o Updated vignette

Changes in version 1.8.2 (2016-12-14)
   o Small adjustments to console output for clarity and grammar.
   o Moved knitr and rmarkdown from Suggests to Imports.

Changes in version 1.8.1 (2016-12-13)
   o Adjustment to data output merging function.
   o Small fix to 'A' analysis when output to object.

Changes in version 1.8 (2016-12-10)
   o Added output of merged analyses to main output folder (only when Output = T).

Changes in version 1.7 (2016-12-08)
   o Adjusted function for counting missing alleles to avoid memory limitations. Ported from haplo.stats.

Changes in version 1.6 (2016-12-02)
   o Update bundled IMGT/HLA amino acid exon alignment to latest release (3.26.0.1)
   o Update to URL for downloading *_prot.txt alignment files
   o Small fixes to UpdateRelease code when downloading alignment files from IMGT.

Changes in version 1.5.8 (2016-12-02)
   o Fix bug that may be encountered when specifying a set of loci to run.

Changes in version 1.5.7 (2016-10-05)
   o Pandoc requirement for installing from GitHub without RStudio. Thanks to Hugh Salamon.

Changes in version 1.5.6 (2016-09-14)
   o URL change for 'hla_nom_p.txt' download. Thanks to Hugh Salamon.

Changes in version 1.5.5 (2016-08-29)
   o Bug fixed - accidently introduced in v1.5.4 that would cause 'A' test failure

Changes in version 1.5.4 (2016-08-26)
   o Small changes in code organization.
   o Update bundled IMGT/HLA amino acid exon alignment to latest release (3.25.0)

Changes in version 1.5.3 (2016-08-25)
   o Fix bug in UpdateRelease() on some installations.

Changes in version 1.5.2 (2016-08-03)
   o Fix for an incorrect error message wording. Thanks to Farrel Buchinsky.
   o Fix for data read-in when 1-Field resolution. Thanks to Farrel Buchinsky.

Changes in version 1.5.1 (2016-06-20)
   o Bug fix in output list.

Changes in version 1.5.0 (2016-06-15)
   o BIGDAWG can now return results as list with parameter Return=T.
   o Minimize console output with Verbose=F.
   o Turn off write results to file with Output=F.
   o Bug fix for DRB3/4/5 parsing with NA's.

Changes in version 1.4.0 (2016-05-12)
   o Version change, submission to CRAN.

Changes in version 1.3.9 (2016-05-11)
   o Vignette link modifications.
   o Bug fix for UpdateRelease() when there is no internet connection.

Changes in version 1.3.8 (2016-05-04)
   o Error message for allele formatting imbalance across loci when HLA=T.

Changes in version 1.3.7 (2016-04-29)
   o Bug fix for CheckRelease() when there is no internet connection.
   o Bug fix when setting Output=F, for testing only.
   o Bug fix HWE displaying control analysis twice.
   o Minor changes to vignette.
   o Adjust Errors to only print out when Output=T.

Changes in version 1.3.6 (2016-04-26)
   o Added function to check Changes in version ersion and IMGT/HLA version simultaneously using CheckRelease().
   o Removed UpdateRelease(GetRelease). See vignette.
   o Vignette update to reflect changes.

Changes in version 1.3.5 (2016-04-20)
   o Minor wording change to vignette to enhance clarity and reflect GitHub availability.
   o Added function to check release BIGDAWG uses for IMGT/HLA database. See vignette.
   o Added Hardy Weinberg Equilibrium testing for cases. Useful when employing other binary phenotypes.
   o Update bundled IMGT/HLA amino acid exon alignment to latest release (3.24.0)

Changes in version 1.3.4 (2016-04-08)
   o Added output of subject haplotypes to file when running haplotype analysis.
   o Bug fix in haplotype generation and outputs.
   o Bug fix in when locus has only a single allele. Thanks go to Antoine Lizee.
   o Other minor improvements to enhance data processing.
   o Minor wording change to vignette to enhance clarity.
   o Updated Human Immunology paper to BIGDAWG.
   o Added ability to read in HLA data when DRB3, DRB4, and DRB5 are collapsed to a single column. DR haplotypes are parsed accordingly. See vignette for details.
   o Added output of Sample IDs removed due to missing alleles exceeding set threshold.
   o Adjusted Missing default to 2.
   o When running multiple locus sets the for haplotype analysis, now displays which haplotype is being run.

Changes in version 1.2.8 (2016-02-28)
   o Bug fix.

Changes in version 1.2.7 (2016-02-27)
   o Bug fix for chi square output using some data sets.

Changes in version 1.2.6 (2016-02-19)
   o BIDAWG v1.2.1 - v1.2.5 unreleased internal versions.
   o Bug fix when removing missing data as set by 'Missing' parameter. Thanks go to Arun Khattri.
   o Added reference to BIGDAWG publication in DESCRIPTION and vignette.
   o Update bundled IMGT/HLA amino acid exon alignment to latest release (3.23.0)

Changes in version 1.2.1 (2015-11-09)
   o Added NEWS file to document BIGDAWG releases.
   o Bug fix when EVS.rm was set to TRUE.
   o Precheck.txt renamed to Data_Summary.txt.
   o Distinction between Run parameters and Set parameters.
   o Run Parameters generated and written to file earlier in script.
   o Added section delimiter for 'Data Processing And Checks' in console output.
   o Changes in wording for select BIGDAWG error messages.
   o Update to Hardy-Weinberg test.
   o Update bundled IMGT/HLA amino acid exon alignment to latest release (3.22.0)
